Bug 811228 - block streaming reverts image to auto-probe backing file format
block streaming reverts image to auto-probe backing file format
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
6.3
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Paolo Bonzini
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-10 09:34 EDT by Paolo Bonzini
Modified: 2012-06-20 04:56 EDT (History)
11 users (show)

See Also:
Fixed In Version: qemu-kvm-0.12.1.2-2.278.el6
Doc Type: Bug Fix
Doc Text:
No Documentation Needed
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 04:56:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paolo Bonzini 2012-04-10 09:34:50 EDT
When an image is modified to point to the new backing file, the backing file format is set to NULL, which means auto-probe.  This is wrong, in fact it is a small security problem.
Comment 1 Paolo Bonzini 2012-04-10 09:43:31 EDT
How to test:

(qemu) snapshot_blkdev ide0-hd0 test.qcow2 qcow2
(qemu) snapshot_blkdev ide0-hd0 fff.qcow2 qcow2
(qemu) block_stream ide0-hd0 base.qcow2

On fixed QEMU, the fff.qcow2 will show something like ^Eqcow2^@^@^@base.qcow2 when viewed with less.

On broken QEMU, it will show something like base.qcow2ow2^@^@^@test.qcow2.
Comment 7 juzhang 2012-05-02 02:01:25 EDT
Verified this issue with qemu-kvm-rhev-0.12.1.2-2.288.el6

steps

1. boot guest with /root/zhang/rhel6.3-64-virtio.qcow2
2. snapshot_blkdev virtio0 /root/zhang/test1 qcow2
3. snapshot_blkdev virtio0 /root/zhang/test2 qcow2
4. block-stream virtio0   /root/zhang/rhel6.3-64-virtio.qcow2
5. view /root/test2 | less

Results
Eqcow2^@^@^@/root/zhang/rhel6.3-64-virtio.qcow2
Comment 9 Michal Novotny 2012-05-04 09:19:34 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
No Documentation Needed
Comment 11 errata-xmlrpc 2012-06-20 04:56:41 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2012-1017.html

Note You need to log in before you can comment on or make changes to this bug.